#!/bin/sh

case "$1" in
start)
	if [ -x /usr/local/modules/rucd9660.ko ]; then
		echo -n ' RU-cd9660'
		kldload /usr/local/modules/rucd9660.ko
		echo ''
		sysctl -w vfs.charset=cp866
	fi
	;;
stop)
	kldunload -v -n rucd9660 && echo -n ' RU-cd9660'
	;;
*)
	echo "Usage: rucdfs.sh {start|stop}" >&2
	exit 1
	;;
esac
